Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

DataObjectManager Module /

Discuss the DataObjectManager module, and the related ImageGallery module.

Moderators: martimiz, UncleCheese, Sean, biapar, Willr, Ingo, swaiba, simon_w

OMG NEW STUFF!


Go to End
Reply


28 Posts   2332 Views

Avatar
UncleCheese

4085 Posts

16 January 2010 at 5:54am

Lots of new stuff checked in!

http://www.silverstripe.org/dataobjectmanager-module-forum/show/262243?start=16

Avatar
Carbon Crayon

Community Member, 598 Posts

16 January 2010 at 6:03am

Dude, YOU ROCK!!

What great changes.....it's getting silly just how good this module is now! lol

Avatar
Fuzz10

Community Member, 787 Posts

16 January 2010 at 6:35am

What he said !

Thanks a lot UC !! Your module is quite the live-saver.... ;)

Avatar
banal

Community Member, 901 Posts

16 January 2010 at 7:24am

All hail Uncle Cheese! Thanks!

Avatar
Taffy

Community Member, 119 Posts

19 January 2010 at 5:39am

Nice work UC :)

Avatar
UncleCheese

4085 Posts

19 January 2010 at 6:22am

Thanks, everyone. It saddens me to announce, however, that the ManyMany sortables fail in 2.3.4. Stupid me did all my testing in a 2.3.3 environment, thinking 2.3.4 was hardly any different.

So I've put in a ticket to Silverstripe, because the changes they've made to the load_extra_statics() method of DataObjectDecorator don't make any sense to me. Hopefully we can get it working.

Avatar
banal

Community Member, 901 Posts

19 January 2010 at 9:30am

Hm, that sucks. Can you tell us which revision works with 2.3.4?
I also found a bug in the DataObjectManager, just putting this here so that it doesn't go unnoticed:
http://silverstripe.org/dataobjectmanager-module-forum/show/260986?start=128#post277032

(what about that bugtracker you spoke about on the mailing list :))

Thanks for the good work and support.

Avatar
UncleCheese

4085 Posts

19 January 2010 at 9:50am

Thanks, Banal. I had literally just checked in your patch when I read this post. Thanks for putting that in. One of those things that would have gone unnoticed for a looooong time!

DOM does work with 2.3.4, but the many_many sorting does not. That's the only tradeoff at the moment.

Go to Top